Open a validation artifact
GET
Open a file a run's validation produced. mode is auto (the default), inline (the content in the response) or signed_url (a short-lived download link). Only artifacts of your own runs open. Requires the coding:runs:read scope.
CustomerApiKeyheader
AuthorizationBearer <API Key>Customer API key sent as a bearer token
artifact_id*stringFormat
uuidcustomer_id?|nullmode?stringDefault
"auto"Request fulfilled, document follows
application/json- response
artifact_id*stringFormat
uuidcontent_size?integer|nullmime_type?string|nullopen_mode*stringsha256?string|nullsigned_url?string|nullsigned_url_expires_at?string|nullstate*stringtext_content?string|nulltitle*stringcurl -X GET 'https://api.syndai.ai/api/v1/external/coding/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/open'Example Response
{ "artifact_id": "b7bd6bbb-c7f1-4314-8742-2aeeeece9d12", "content_size": 0, "mime_type": "string", "open_mode": "string", "sha256": "string", "signed_url": "string", "signed_url_expires_at": "string", "state": "string", "text_content": "string", "title": "string"}